<!DOCTYPE html>
<html lang="en">
<head>
  <title>${customer_project} issues report</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="css/bootstrap.min.css">
  <!--<link href="css/tabulator_bootstrap4.min.css" rel="stylesheet">-->
  <script src="js/jquery-3.4.1.min.js"></script>
  <script src="js/bootstrap.min.js"></script>
  <!--<link href="https://unpkg.com/tabulator-tables@4.7.2/dist/css/tabulator.min.css" rel="stylesheet">
  <script type="text/javascript" src="https://unpkg.com/tabulator-tables@4.7.2/dist/js/tabulator.min.js"></script>-->
  <script type="text/javascript" src="js/tabulator.min.js"></script>
  <link href="css/tabulator_bootstrap4.min.css" rel="stylesheet">
  <script>
    $(document).ready(function() {
      var table = new Tabulator("#example-table", {
        layout:"fitColumns",
      });
      var newColumns = [
        {title:"Title", field:"title", sorter:"string", formatter:"html", headerFilter:true},
        {title:"Labels", field:"labels", width:300, sorter:"string", formatter:"textarea", headerFilter:true},
        {title:"Milestone", field:"milestone", width:150 , sorter:"number", headerFilter:true},
        {title:"Status", field:"state", width:150, sorter:"string", headerFilter:"select", headerFilterParams:{ values:true
        }},
        {title:"Priority", field:"priority", width:150, sorter:"number"},
        {title:"Notes", field:"notes", sorter:"string"},
        {title:"Logged", field:"date_logged", width:150, sorter:"string"},
        {title:"Updated", field:"updated_at", width:150, sorter:"string"},
        {title:"Created", field:"created_at", width:150, sorter:"string"},
        {title:"Closed", field:"closed_at", width:150, sorter:"string"},
    ];

    table.setColumns(newColumns);
    table.setSort([{column:"priority",dir:"desc"},{column:"state",dir:"desc"}]);

    document.getElementById("download-csv").addEventListener("click", function(){
      table.download("csv", "issues.csv");
    });
    });
  </script>
</head>
<body>

<%def name="makerow(issue)">
    <tr>
    % for field in fields:
        %if field in issue:
          %if field == "title":
              <td><a href="${issue["url"]}">${issue["title"]}</a></td>
          %elif field == "url":
              <% continue %>
          %elif field == "customer":
              <td><a href="https://gitlab.com/gitlab-com/account-management/${issue[field]}">${issue[field]}</a></td>
          %elif field == "labels":
              <td>
              ${", ".join(issue["labels"])}
              </td>
          %elif field == "metadata":
              <td>TAM: ${issue["metadata"]["tam"]}<br/>
              SA: ${issue["metadata"]["sa"]}<br/>
              Sales: ${issue["metadata"]["sales"]}<br/>
              <a href='${issue["metadata"]["salesforce"]}'>Salesforce</a><br/></td>
          %else:
              <td>${issue[field]}</td>
          %endif
        %else:
          <td></td>
        %endif
    % endfor
    </tr>
</%def>

<div id="heading" class="container-fluid text-white" style="background-color: #292961">
  <h2><img style="height: 58px" src="assets/gitlab-logo-white-rgb.svg"/>${customer_project} issues report - ${startdate} to ${enddate}</h2>
  <ul class="nav nav-tabs">
  <li class="nav-item">
    <a class="nav-link active" href="#">Overview</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" href="./stats.html" style="background-color: #AAAAAA">Statistics</a>
  </li>
  </ul>
</div>

<div class="container-fluid my-3">
  <h3>
    <a id="download-csv" class="btn btn-primary float-right mx-2">Download CSV</a>
  </h3>
</div>

<div class="container-fluid">
    <table class="table-hover table-striped" id="example-table">
      <thead>
        <tr>
          %for field in fields:
            % if field != "url":
                <th data-sortable="true" scope="col" data-filter-control="input">${field}</th>
            % elif field == "title":
                <th data-sortable="true" scope="col" data-filter-control="input">issue</th>
            % endif
          %endfor
        </tr>
      </thead>
      <tbody>
        %for issue in issues:
          ${makerow(issue)}
        %endfor
      </tbody>
    </table>
</div>

</body>
</html>

